<?php

//remove_role('vip');

//WordPress 添加用户角色
if(!get_role('vip')){
    add_role('vip', '付费VIP', array(
        'read' => true, //阅读权限，true 表示允许
        'edit_posts' => false,//编辑文章的权限，true 为允许
        'delete_posts' => false, //删除文章的权限，false 表示不允许删除
        'level_0' => true,
        'level_1' => true,

    ));
}



//保存订单
function saveOrder(){
    header( 'content-type: application/json; charset=utf-8' );
    global $current_user,$wpdb;
    $orderID = $_POST['orderID'];
    $payAmount = $_POST['payAmount'];
    $orderName = $_POST['orderName'];
    $oderDate = $_POST['oderDate'];
    $user_email = $current_user->user_email;


    $wpdb->insert('bizhi_vip_order',array('orderID'=>$orderID,'payAmount'=>$payAmount,'orderName'=>$orderName,'user_email'=>$user_email,'oderDate'=>$oderDate,'isPay'=>'true'));

    
    $result = $wpdb->get_row("SELECT * FROM bizhi_vip_order WHERE orderID = $orderID"); 
    echo json_encode( $result);


exit;


}
add_action( 'wp_ajax_saveOrder', 'saveOrder' );


function update_vip(){
    header( 'content-type: application/json; charset=utf-8' );
    global $current_user;
    global $wpdb;

    $orderID = $_POST['orderID'];
    $payAmount = get_option('payAmount');
    $orderName =$_POST['type'].'-'.get_option('orderName');
   
    $orderDate = date('Y-m-d-H-i-s',time());
    $user_email = $current_user->user_email;
    $userID = $current_user->ID;

    $wpdb ->insert('bizhi_order',array('orderID'=>$orderID,'userID'=>$userID,'payAmount'=>$payAmount,'orderName'=>$orderName,'userEmail'=>$user_email,'orderDate'=>$orderDate,'isPay'=>1));

      if($current_user->roles[0] != 'administrator'){
          $current_user -> set_role('vip');
          }else{
               $current_user -> add_role('vip');
          }


          if($current_user->roles[0] == 'vip'){
             $result['tip'] = '开通成功~';
             $result['flag'] = 1;
          
          }else{
            $result['tip'] = '开通失败，请联系管理员~';
             $result['flag'] = 0;
          }

          echo json_encode($result);
         
          exit;

 

}
add_action( 'wp_ajax_update_vip', 'update_vip' );




function is_vip(){

      global $current_user;
  
       if( $current_user->roles[0] == 'vip' || $current_user->roles[1] == 'vip' || $current_user->roles[0] == 'administrator' || $current_user->roles[1] == 'administrator') {  //是否是vip用户
           echo 1;
           exit;
        }else{
         echo 0;
         exit;
        }
        exit;


}
add_action( 'wp_ajax_is_vip', 'is_vip' );
add_action( 'wp_ajax_nopriv_is_vip', 'is_vip' );




function is_login2(){
    header( 'content-type: application/json; charset=utf-8' );
      global $current_user;
      $result =  Array();
  
       if( $current_user->ID){  
           $result['flag'] = 1;
           $result['id'] = $current_user->ID;

         
        }else{
           $result['flag'] = 0;
           $result['id'] = $current_user->ID;
         
        }

            echo json_encode($result);
            
        exit;

}
add_action( 'wp_ajax_is_login2', 'is_login2' );
add_action( 'wp_ajax_nopriv_is_login2', 'is_login2' );




function set_download_times(){
    global $current_user;
    global $wpdb;
    $userid = $current_user->ID;
    $postid = $_POST['post_id'];

   if($userid && $postid){
       if($current_user->roles[0] != 'vip' && $current_user->roles[0] != 'administrator'){
            $record = $wpdb->get_row("SELECT * FROM bizhi_download_times WHERE postid = $postid AND userid = $userid");
            if($record == null){
                //插入记录
                $wpdb ->insert('bizhi_download_times', array( 'postid' => $postid,'userid' => $userid,'download_time' => date('Y-m-d-H-i-s',time())) ); 
            }

     

            $results = $wpdb ->get_var("SELECT COUNT(*) FROM bizhi_download_times WHERE userid =$userid  AND to_days(download_time) = to_days(now())");

            echo $results;
        }else{
            echo "升级VIP，或下载APP，不限制下载哦~";
        }
    }

    exit;
}
add_action('wp_ajax_set_download_times', 'set_download_times');

?>